<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple sensor stage strategy config table-->
<MultiSensorStageConfigTable>
    <rule name = "ZOOM[2.0 - 50.1) mainQuadraAiraw use w isz">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "50.1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "FEATURE_UUID" value = "mainQuadraAiraw"/>
        <outState>
            <camera name = "wide" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.0 - 50.1) mainQuadraLiteAiraw use w isz">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "50.1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "FEATURE_UUID" value = "mainQuadraLiteAiraw"/>
        <outState>
            <camera name = "wide" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.0 - 100.1) teleHexAiraw use sw_rmsc">
        <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "FEATURE_UUID" value = "teleHexAiraw"/>
        <condition name = "CAPTURE_INTENT" value = "2"/>
        <outState>
            <camera name = "tele" stage = "sw_rmsc"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.0 - 100.1) teleHexAiraw use t sensor_rmsc">
        <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "FEATURE_UUID" value = "teleHexAiraw"/>
        <outState>
            <camera name = "tele" stage = "sensor_rmsc"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.0 - 100.1) teleHexAiraw use t sw_rmsc">
        <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "FEATURE_UUID" value = "teleHexLiteAiraw"/>
        <condition name = "CAPTURE_INTENT" value = "2"/>
        <outState>
            <camera name = "tele" stage = "sw_rmsc"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.0 - 100.1) teleHexAiraw use t sensor_rmsc">
        <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "FEATURE_UUID" value = "teleHexLiteAiraw"/>
        <outState>
            <camera name = "tele" stage = "sensor_rmsc"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.0 - 100.1) teleQuadraAiraw use t isz">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "100.1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "FEATURE_UUID" value = "teleQuadraAiraw"/>
        <outState>
            <camera name = "tele" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.0 - 100.1) teleQuadraLiteAiraw use t isz">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "100.1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "FEATURE_UUID" value = "teleQuadraLiteAiraw"/>
        <outState>
            <camera name = "tele" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.0 - 100.1) teleQuadraAirawEllip use t isz">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "100.1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "FEATURE_UUID" value = "teleQuadraAirawEllip"/>
        <outState>
            <camera name = "tele" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.5 - 100.1) teleQuadraAirawEllipNH use t isz">
        <condition name = "ZOOM_RATIO" min = "2.5" max = "100.1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <condition name = "FEATURE_UUID" value = "teleQuadraAirawEllipNH"/>
        <outState>
            <camera name = "tele" stage = "insensorzoom"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 1.2] AEC_HDR 3 W+UW use SHDR SHORTPD">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "ultra_wide"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.21"/>
        <condition name = "AEC_HDR" value = "3"/>
        <condition name = "AF_PD_MODE" value = "1"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "shdr_shortPD"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.8 - 2.0) AEC_HDR 3 W+T use SHDR SHORTPD">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.8" max = "2.0"/>
        <condition name = "AEC_HDR" value = "3"/>
        <condition name = "AF_PD_MODE" value = "1"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "shdr_shortPD"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 1.01) AEC_HDR 3 W+T use SHDR SHORTPD">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.01"/>
        <condition name = "AEC_HDR" value = "3"/>
        <condition name = "AF_PD_MODE" value = "1"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "shdr_shortPD"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 2.0) AEC_HDR 3 use SHDR SHORTPD">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.0"/>
        <condition name = "AEC_HDR" value = "3"/>
        <condition name = "AF_PD_MODE" value = "1"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "shdr_shortPD"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 1.2] AEC_HDR 3 W+UW use SHDR">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "ultra_wide"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.21"/>
        <condition name = "AEC_HDR" value = "3"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "shdr"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.8 - 2.0) AEC_HDR 3 W+T use SHDR">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.8" max = "2.0"/>
        <condition name = "AEC_HDR" value = "3"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "shdr"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 2.0) AEC_HDR 3 use SHDR">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.0"/>
        <condition name = "AEC_HDR" value = "3"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "shdr"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 1.2] AEC_HDR 1 W+UW use DAG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "ultra_wide"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.21"/>
        <condition name = "AEC_HDR" value = "1"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "dag_timing"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 1.01) AEC_HDR 1 W+T use DAG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.01"/>
        <condition name = "AEC_HDR" value = "1"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "dag_timing"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.8 - 2.0) AEC_HDR 1 W+T use DAG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.8" max = "2.0"/>
        <condition name = "AEC_HDR" value = "1"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "dag_timing"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 10.0) AEC_HDR 1 W use DAG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "10.0"/>
        <condition name = "AEC_HDR" value = "1"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "dag_timing"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 10.0) AEC_HDR 1 W+T use DAG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "10.0"/>
        <condition name = "AEC_HDR" value = "1"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "dag_timing"/>
        </outState>
    </rule>

    <rule name = "child rule: ZOOM[10.0-100.0), moon scene">
        <condition name = "ZOOM_RATIO" min = "10.0" max = "100.1"/>
        <condition name = "MOON_MODE"  value = "1"/>
        <condition name = "SCENE_MODE" value = "0"/>
        <outState>
            <camera name = "tele"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 1.2] AEC_HDR 2 W+UW use DXG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "ultra_wide"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.21"/>
        <condition name = "AEC_HDR" value = "2"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "dxg_timing"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 1.01) AEC_HDR 2 W+T use DXG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.01"/>
        <condition name = "AEC_HDR" value = "2"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "dxg_timing"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.8 - 2.0) AEC_HDR 2 W+T use DXG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
            <camera name = "tele"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.8" max = "2.0"/>
        <condition name = "AEC_HDR" value = "2"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "dxg_timing"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0 - 2.0) AEC_HDR 2 use DXG">
        <condition name = "CAMERA_STATE">
            <camera name = "wide" prev = "true"/>
        </condition>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.0"/>
        <condition name = "AEC_HDR" value = "2"/>
        <condition name = "APK_ENABLE_HDR" value = "1"/>
        <outState>
            <camera name = "wide" stage = "dxg_timing"/>
        </outState>
    </rule>

    <rule name = "default setting all binning">
        <condition name = "ZOOM_RATIO" min = "0.0" max = "100.1"/>
        <outState>
            <camera name = "ultra_wide"/>
            <camera name = "wide"/>
            <camera name = "tele"/>
            <camera name = "front"/>
        </outState>
    </rule>

</MultiSensorStageConfigTable>
